Summary: A collection of programs for manipulating patch files
Name: patchutils
Version: 0.3.2
Release: 1
License: GPLv2+
Group: Applications/System
URL: http://cyberelk.net/tim/patchutils/
Source0: http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.bz2
Source1: http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.bz2.sig
Patch0: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes: interdiff <= 0.0.10
Provides: interdiff = 0.0.10
Requires: diffutils, patch

%description
This is a collection of programs that can manipulate patch files in
a variety of ways, such as interpolating between two pre-patches, 
combining two incremental patches, fixing line numbers in hand-edited 
patches, and simply listing the files modified by a patch.


%prep
%setup -q
%patch0


%build
export CC="cc -qcpluscmt"

# we need the GNU versions of diff and patch
export PATH=/opt/freeware/bin:$PATH

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --with-diff=%{_bindir}/diff \
    --with-patch=%{_bindir}/patch
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog README COPYING BUGS NEWS
%{_bindir}/*
%{_mandir}/man?/*
/usr/bin/*


%changelog
* Fri Feb 11 2011 Michael Perzl <michael@perzl.org> - 0.3.2-1
- updated to version 0.3.2

* Mon Jun 07 2010 Michael Perzl <michael@perzl.org> - 0.3.1-1
- updated to version 0.3.1

* Mon Jun 07 2010 Michael Perzl <michael@perzl.org> - 0.3.0-2
- some spec file fixes, added dependency on GNU diffutils and GNU patch

* Fri Jul 04 2008 Michael Perzl <michael@perzl.org> - 0.3.0-1
- first version for AIX V5.1 and higher
